    # File lib/facets/more/httpaccess.rb, line 1025
      def post_connection_check(host)
        verify_mode = @context.verify_mode || OpenSSL::SSL::VERIFY_NONE
        if verify_mode == OpenSSL::SSL::VERIFY_NONE
          return
        elsif @ssl_socket.peer_cert.nil? and
            check_mask(verify_mode, OpenSSL::SSL::VERIFY_FAIL_IF_NO_PEER_CERT)
          raise OpenSSL::SSL::SSLError, "no peer cert"
        end
        hostname = host.host
        if @ssl_socket.respond_to?(:post_connection_check)
          @ssl_socket.post_connection_check(hostname)
        end
        @context.post_connection_check(@ssl_socket.peer_cert, hostname)
      end